 What's new in the Office 2000 suite?

What's new in the Office 2000 suite?

This topic provides reference information about:

Installing and maintaining Office 2000

Taking your Office with you wherever you go

Creating documents for the Web

Using the Web to work with others

Opening and saving your Office documents

Collect and paste with the Office Clipboard

Making your Office 2000 desktop easier to use

The new Clip Gallery

Using Office worldwide

Programming Office 2000

Installing and maintaining Office 2000

Get the installation that works for you Office 2000 determines the best installation for your computer, based on what is already installed and used. If you have a previous version of Office, Office 2000 uses the Office Profile Wizard to preserve many of your user settings. Office 2000 can also remove previous versions of Office for you.

Get the program you need, when you need it As you use Office you might see shortcuts, icons, and commands for programs and components that were not installed initially. When you need the functionality, you can just click a command and Office 2000 installs the program or component for you.

Keep Office 2000 running You can have Office fix problems with noncritical files (such as fonts and templates) by clicking Detect and Repair on the Help menu. This command reinstalls files that are missing or corrupted. Problems with essential files and registry entries are automatically detected and fixed when you start your Office program.

Return to top

Taking your Office with you wherever you go

Your system administrator can now configure your user profile to travel with you so that it's always available when you log on to a computer. Your user profile contains information such as custom dictionaries, custom templates, and AutoCorrect and AutoFormat lists. In addition, customization preferences and options that are different for each user — such as installed programs, desktop icons, and color options — are available when you log on to a computer with your user profile.

Return to top

Creating documents for the Web

Office 2000 provides fast and easy methods for creating Web pages by building on the tools and features you are familiar with. Now you can seamlessly move Web content to a Web server and create Web content for use around the world.

Customize your Web pages Quickly change how Office 2000 generates and formats Web pages through the Web Page Options dialog box (Tools menu, General tab, Web Options button). For example, you can customize where graphics and other supporting files are stored, and specify what format graphics are saved in for use on Web pages. When possible, the options are shared across all Office programs. Use themes that contain unified design elements and color schemes for background images, bullets, fonts, horizontal lines, and other document elements to create consistent-looking Web pages. Themes have been coordinated between Microsoft Word, Microsoft Access, and Microsoft FrontPage. In Microsoft PowerPoint, use design templates to create Web pages with a professional look. Without saving your file, you can quickly preview your Web page in your browser with the Web Page Preview command (File menu).

Manage your files and links Office programs automatically manage companion files, such as graphics. When you create a Web page, all supporting files are stored in a file folder with the same name as the file. When you save your document to a new location, Office 2000 checks the links and repairs those that aren’t working.

Create an international presence If you create Web pages for international use, Office 2000 saves files by using the appropriate international text encoding so that users on any language system are able to view the correct characters.

Use graphics and objects Office 2000 makes using graphics on Web pages easy. Graphics for Web pages are automatically stored in GIF, JPEG, PNG, or Vector Markup Language (VML) format. Even after you save your document as a Web page, you can still edit graphics and objects when you open your Web page in an Office program. Office 2000 automatically generates alternative text for graphics based on an image’s file name.

Keep Office-specific formatting You can use features that aren't supported on the Web, such as line colors and character effects, in all of your Office documents. When you save as a Web page, default colors and other formatting options that aren't supported on the Web are stored with the document. When you open your document in your Web browser, these features won't appear. However, when you reopen your Office document in your Office program you can still view and edit this formatting.

Use scripts in your Web documents Office 2000 now gives developers the chance to create scripts and HTML-based client solutions within any Office program by using Microsoft Visual Studio. There is full browser support for debugging, and script anchors can be used in Office documents.

Manage your Web documents Use the Web Folders feature to manage your files stored on a Web server. You can access Web Folders through Windows Explorer or through any Office program. Use Web Folders to create folders, view properties, and drag files to any Web server that you have permissions to. (This feature requires that Office Server Extensions be installed on your Web server.)

Return to top

Using the Web to work with others

Start a discussion In your Web browser or in your favorite Office program, you and your colleagues or friends can review any type of Office document. Anchor the discussion pane at the bottom of the document to add comments or have conversations about the document, or add your remarks right into the text of the document. (This feature requires that Microsoft Office Server Extensions be installed on your Web server.)

Subscribe to a document Make collaborating even easier with Web subscriptions. Office 2000 automates the process of sending e-mail messages when a document has been updated. You can subscribe to a document or Web page and indicate when you would like to be notified of changes to that document. Choose to receive an e-mail message, or add the page to your Microsoft Internet Explorer channel. (This feature requires that Office Server Extensions be installed on your Web server.)

Start an online meeting With Microsoft NetMeeting you can share and exchange information with people at different sites in real time. Use the Internet or your corporate intranet to initiate an online meeting from within any Office program, or work directly in the NetMeeting program by clicking Microsoft NetMeeting on the Windows Start menu. Use the Whiteboard, send messages in the Chat window, or transfer files to other participants. You can also use Microsoft Outlook 2000 to schedule online meetings in advance.

Return to top

Opening and saving your Office documents

With the improved Open and Save dialog boxes (File menu), you can see more files at one time and access them faster in every Office program. Use the Places Bar to get to the folders and locations you use the most. Click History to see the last 20 to 50 documents and folders that you have worked with. Then click the Back button to easily return to folders you have recently used.

Return to top

Collect and paste with the Office Clipboard

Use the new Office Clipboard to collect objects from all of your programs, including your Web browser, and paste them when you need them. You can store up to 12 objects on the Office Clipboard.

Return to top

Making your Office 2000 desktop easier to use

See only the commands you use most often Only the items that you use most often are prominently featured on the new personalized menus and toolbars in Office 2000. You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. Toolbars share space in a single row on the screen, so you have more room for your work. When you click a button on a toolbar, that button is added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging and dropping command controls on the toolbars.

See what documents you have open Use the Windows taskbar to switch between open Office documents—each one is represented by an icon on the taskbar.

Create shortcuts to get there faster You or your system administrator can create shortcuts to files, folders, and Web pages by using hyperlinks or the Favorites folder. Customize buttons on your Office toolbars to link to the company-specific content and Internet resources you use the most.

Work with an improved Assistant The Office Assistant uses less space on your screen, while still providing great help when you need it. But if the Office Assistant can't answer your question, you can ask the Assistant to take you to the Web for more information. You can also let Microsoft know which questions aren't answered (which helps improve the Help system in future versions of Office). And if you don't like the Assistant, you can turn it off permanently and use the Help index or table of contents.

Return to top

The new Clip Gallery

With the new Clip Gallery you can organize pictures into custom categories, assign keywords to pictures, drag images into your Office documents, and leave the Clip Gallery open in a smaller window while your working on your documents. The new Clip Gallery can also store sounds and movies. If you use a picture, sound, or movie often, you can add it to the Clip Gallery for easy access.

Return to top

Using Office worldwide

Use multiple languages You can enter, display, and edit text in all supported languages in any language version of Office 2000. Supported languages include European languages, Japanese, Chinese, Korean, Hebrew, and Arabic.

Change your interface language If your corporation has provided you with the Microsoft Office 2000 MultiLanguage Pack, you can switch the language of the user interface and Help of Office programs. For example, your multinational corporation might have standardized on an English user interface to simplify internal training and troubleshooting. But if you prefer to read Help in your native language of German, you can specify that Office programs display Help in German.

Take advantage of Unicode support Microsoft Office is based on the Unicode text encoding standard, which allows Office 2000 to display text correctly, no matter what language it's written in, provided the operating system supports the characters specific to that language. (In Outlook, this is true only for e-mail messages, not for any of the other items, such as contacts, meeting requests, and tasks.)

Return to top

Programming Office 2000

Antivirus support Developers can easily add virus checkers to Office 2000 by using the programming interface. Office also has virus-checking tools incorporated into the programs.

Digital signing of macros To improve security and user confidence, developers can sign their Visual Basic for Applications (VBA) macros so that users know where the macros originated and that they haven't been altered. Users can specify that a warning not be displayed for unaltered macros signed by specified developers.

VBA 6 The latest version of VBA is included with Office 2000, putting VBA on par with Visual Basic language features. VBA 6 provides Office with features such as modeless userforms and support for additional ActiveX controls.

Return to top


Install or remove individual components

If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must work from that location.

  1. Quit all programs.

  2. Click the Windows Start button, point to Settings, and then click Control Panel.

  3. Double-click the Add/Remove Programs icon [image].

  4. If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click Add/Remove.

    If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click Add/Remove.

  5. Follow the instructions on the screen.

Note If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.


Ways to get assistance while you work

This topic provides reference information about:

Asking for Help from the Office Assistant

Getting Help from the Help menu

Getting Help from the Office Update Web site

Finding out what's new in Office 2000

More information

Asking for Help from the Office Assistant

When you have a question about a Microsoft Office program, you can ask the Office Assistant. For example, to get Help about how to format a chart, type How do I format a chart? in the Assistant.

If the correct topic doesn't appear in the Assistant balloon, click None of the above, look for more help on the Web at the bottom of the list of topics. You will get suggestions on how to phrase a question to the Office Assistant or how to narrow your search by using keywords. If you still can't find the information you want, you can send feedback to improve future versions of Help and be automatically connected to the Microsoft Office Update Web site to search for help there.

The Assistant automatically provides Help topics and tips on tasks you perform as you work — before you even ask a question. For example, when you write a letter, the Assistant automatically displays topics for helping you create and format a letter.

The Assistant also displays tips on how to use the features in the Office programs more effectively. Click the light bulb [image] next to the Assistant to see a tip.

You can also select a different Assistant and set it to operate so that it matches your personality and the way you work. For example, if you prefer using the keyboard to using the mouse, you can have the Assistant display tips on shortcut keys. Because the Assistant is shared by all Office programs, any options you change will apply to the Assistant in your other Office programs as well.

Return to top

Getting Help from the Help menu

Just click Microsoft Help on the Help menu. If the Assistant is turned on, it appears. If the Assistant is turned off, the Help window appears. To type a question in the Help window, click the Answer Wizard tab. To scroll through a table of contents for Help, click the Contents tab. When you want to search for specific words or phrases, click the Index tab.

To see a ScreenTip for a menu command, toolbar button, or screen region, click What's This? on the Help menu and then click the item you want information about.

To see a ScreenTip for a dialog box option, click the question mark button [image] in the dialog box, and then click the option. (If you don't see the question mark button, select the option and then press SHIFT+F1.)

To see the name of a toolbar button, rest the pointer over the button until the name appears.

Return to top

Getting Help from the Office Update Web site

You can connect to the Microsoft Office Update Web site and other Microsoft Web sites directly from any Office program by using the Office on the Web command on the Help menu. For example, you can access technical resources and download free product enhancements — all without leaving the Office program you're working in.

Return to top

Find out what's new in Office 2000

Discover the new features in Office 2000 that make the product easier to use, along with tips on how you can apply them in your work.

Return to top

More information

Connect to Microsoft technical resources

Display tips and messages through the Office Assistant

Get Help without using the Office Assistant

Return to top


About additional resources in Help

To give you the most up-to-date Help with Microsoft Office 2000 features, some Help topics include links to Web sites, articles, and other reference information. For example, the information in a particular topic might be supplemented by information on a particular Web page, such as a page on the Microsoft Office Update Web site.

When additional information is available for a topic, the text Additional resources appears in color at the end of the topic. Click this text to display this information. If additional information is not available for a topic, the Additional resources link is unavailable.


 About displaying tips and messages through the Office Assistant

About displaying tips and messages through the Office Assistant

The Office Assistant can answer your questions, offer tips, and provide Help for a variety of features specific to the program you're using. The Assistant is shared by all Microsoft Office programs. Any changes you make to its options — such as the types of tips it displays — will affect the Assistant in all of your Office programs. The Assistant can display Help in the following ways:

Suggested Help The Assistant can suggest Help that is relevant to the specific task you're performing — even before you ask for it.

Help with wizards You can get Help from the Assistant when you start some wizards. If you don't want Help with wizards, you can turn it off. Not all wizards have Help provided by the Assistant.

Tips The Assistant provides tips on how to use features or keyboard shortcuts more effectively. A tip is available when a yellow light bulb appears next to the Assistant. Just click the light bulb to see the tip. If the Assistant is hidden when a tip is available, the Microsoft Program Name Help button shows a light bulb. Click Microsoft Program Name Help [image] to see the tip. If you want, you can have the Assistant display a tip each time you start Office.

Note that when the Office Assistant displays a Microsoft Outlook reminder, it can't display a tip at the same time. Click a button in the reminder to close it, and then the tip will appear.

Messages When the Assistant is turned on, program and system messages are displayed in the Assistant balloon by default. If you want, you can choose to see the messages in a dialog box instead.

Return to Display tips and messages through the Office Assistant


 Microsoft Office Update on the Web

Microsoft Office Update on the Web

When you click Office on the Web on the Help menu, you'll be connected to the Microsoft Office Update Web site while you work in an Office program. From the Office Update home page, you can get answers to the most frequently asked questions about Office. You can also get up-to-date tips, templates, clip art, and updated Help files.


Show the Tip of the Day when a Microsoft Office program starts

  1. Open a Microsoft Office program.

  2. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  3. Click Options.

  4. On the Options tab, select the Show the Tip of the Day at startup check box.


Display messages with or without the Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Display alerts check box.


How to obtain the Microsoft Office 2000 Resource Kit

The Microsoft Office 2000 Resource Kit is the definitive guide to installing, configuring, and supporting Microsoft Office in your organization. Designed for system administrators, consultants, and power users, this guide offers complete coverage whether you're running Microsoft Office on Windows 95, Windows 2000 Professional, or the Macintosh.

You can obtain the Office Resource Kit wherever computer books are sold or order direct from Microsoft Press.

Microsoft Press books are available worldwide wherever quality books are sold. To order the Office Resource Kit (ISBN: 0-7356-0555-6) direct, call (800) MSPRESS in the United States or (800) 667-1115 in Canada. You can also download the Office Resource Kit from the Microsoft Office Update Web site.


 Get Help for Visual Basic for Applications

Get Help for Visual Basic for Applications

In order to do this procedure, programming Help must be installed. If you didn't install programming Help when you installed Office 2000 or your Office program, just reinstall Office and choose Add or Remove Features. Click the plus sign (+) next to Office Tools, click the icon next to Visual Basic Help, and then choose the installation option you want. Reinstall Office.

  1. On the Tools menu, point to Macro, and then click Visual Basic Editor.

  2. If the Office Assistant isn't visible, click Office Assistant [image] .

    If the Office Assistant balloon isn't visible, click the Assistant.

  3. In the Assistant, type the method, property, function, statement, or object you want Help on, or type a query.

  4. Click Search, and then click the topic you want.

Tips

  • To browse through a list of all Visual Basic methods, properties, functions, and objects for a particular Office program in the Visual Basic Editor, click Object Browser [image] . In the list of libraries, click the library for the program you want. For Help on an item, click the item and then click the question mark button in the Object Browser dialog box.

  • To display Help for the Visual Basic Editor, click Microsoft Visual Basic Help on the Help menu.


How to obtain the Microsoft Office 2000/Visual Basic Programmer's Guide

The Microsoft Office 2000/Visual Basic Programmer's Guide teaches those who understand the fundamentals of Microsoft Visual Basic how to create concise, lean, and efficient code with the powerful programming language used in Microsoft Office 2000. The book teaches readers how to become more productive with Visual Basic for Applications by customizing and adapting tools for specific needs — including how to create custom commands, menus, dialog boxes, messages, and buttons, as well as how to show custom Help for all these elements.

You can obtain the Office Programmer's Guide wherever computer books are sold or order direct from Microsoft Press.

Microsoft Press books are available worldwide wherever quality books are sold. To order the Office Programmer's Guide (ISBN: 1-57231-952-6) direct, call (800) MSPRESS in the United States or (800) 667-1115 in Canada — or order through the CompuServe Electronic Mall (GO MSP).


Guidelines for searching for Help

  • For best results, type a complete sentence or question in the Assistant — not just a single word or a phrase. For example, to find Help on how to print more than one copy of a file at a time, type print more than one copy at a time instead of typing print.

  • Click the Answer Wizard tab to type your question about a Microsoft Office program and get a list of topics related to your question. If the Answer Wizard tab isn't visible, click Show [image].

  • To help narrow the scope of Help topics that are displayed, click the Index tab. If the Index tab isn't visible, click the Show button. Type a specific word or phrase, or choose from the list of keywords. You can control the list of topics found by adding or removing keywords from your search. In this way, you can narrow your search until only the most relevant topics and keywords remain in the list.

  • The Assistant displays only Help topics about using your Office program when you're in the nonprogramming part of the product. It displays programming Help topics only when you're in the programming part of the product.

    To search for both product and programming Help topics, you must be in the programming part of the product. Click the Assistant, and then click Options. On the Options tab, select the Search for both product and programming Help when programming check box.


Turn on or turn off automatic display of Help topics by the Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Guess Help topics check box.


Hide, show, or turn off the Office Assistant

You can temporarily hide or show the Office Assistant while you're working in Microsoft Office. You can also turn off the Office Assistant and use only the Help window. How to get Help without using the Office Assistant.

Temporarily hide or show the Office Assistant

  • On the Help menu, click Hide the Office Assistant or Show the Office Assistant.

Turn off the Office Assistant

  1. In the Assistant balloon, click Options.

    If the Assistant balloon isn't visible, click the Assistant.

  2. On the Options tab, clear the Use the Office Assistant check box.

Tip To turn on the Assistant at any time, click Show the Office Assistant on the Help menu.

Note You can remove the Assistant permanently by reinstalling Office.


Display tips and messages through the Office Assistant

What do you want to do?

Hide, show, or turn off the Office Assistant

Turn on or turn off automatic display of Help topics by the Office Assistant

Turn on or turn off Office Assistant Help with wizards

Display messages with or without the Office Assistant

Show the Tip of the Day when a Microsoft Office program starts

Not sure which choice you want?


Select a different Office Assistant

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. In the Assistant balloon, click Options.

  3. Click the Gallery tab, and then click Back or Next until you see the Assistant you want.

Note If you have access to the Internet, you can download additional Assistants from the Microsoft Office Update Web site. On the Help menu, click Office on the Web.


 Turn on or turn off Office Assistant Help with wizards

Turn on or turn off Office Assistant Help with wizards

  1. Click the Office Assistant.

    If the Assistant isn't visible, click Show the Office Assistant on the Help menu.

  2. Click Options.

  3. On the Options tab, select or clear the Help with wizards check box.

Notes

  • Not all wizards have Help provided by the Assistant.

  • To hide the Assistant for only one wizard, start the wizard and then click Microsoft Program Name Help [image] in the wizard.


Get Help without using the Office Assistant

To get Help without using the Office Assistant, the Assistant must be turned off. How to turn off the Assistant.

  1. On the Help menu, click Microsoft Program Name Help.

    If the Contents, Answer Wizard, and Index tabs aren't visible, click Show [image].

  2. In the Help window, do the following:
Click | To
The Contents tab | View the table of contents for Help.
The Answer Wizard tab | Type a question about a Microsoft Office program.
The Index tab | Search for specific words or phrases, or choose from a list of keywords. You can control the list of topics found by adding or removing keywords from your search. In this way, you can narrow your search until only the most relevant topics and keywords remain in the list.


Connect to Microsoft technical resources

If you have a question about a Microsoft Office program, first ask the Office Assistant and then look in Discovering Microsoft Office 2000 or the Readme file that comes with the program. If you don't find what you need, you can get information from the technical resources in the following list.

Where do you want to go for technical information?

Microsoft Office Update A Web site that is updated regularly and provides information and answers to questions about all of the Office products. Learn about the Microsoft Office Update Web site.

Microsoft Knowledge Base Product information for Microsoft support engineers and customers. Learn about the Microsoft Knowledge Base.

Microsoft Software Library This resource provides the download of free binary files on the Internet for all Microsoft products. Learn about the Microsoft Software Library.

Microsoft TechNet and Microsoft Developer Network CD-ROMs CD-ROMs containing comprehensive information for product support of Microsoft business products, and comprehensive programming information and toolkits. Learn about Microsoft TechNet and the Microsoft Developer Network.

Microsoft Press Training and support materials for Microsoft products. Learn about Microsoft Press.

Microsoft Download Service Sample programs, patches, and other programming aids. Learn about the Microsoft Download Service.

FastTips An automated, toll-free service that provides answers to common technical questions 24 hours a day, 7 days a week. Learn about FastTips.


 Microsoft Knowledge Base

Microsoft Knowledge Base

The Microsoft Knowledge Base (KB) is the primary source of product information for Microsoft support engineers and customers. This comprehensive collection of articles — updated daily — contains detailed how-to information, answers to technical support questions, information about known issues, and ways Microsoft has addressed those issues. Use text and keyword queries to access information in the KB.

The KB is available on Microsoft TechNet and Microsoft Developer Network CD-ROMs. Learn about Microsoft TechNet and Microsoft Developer Network CD-ROMs.


Microsoft TechNet and Microsoft Developer Network CD-ROMs

Microsoft TechNet is the comprehensive information resource for evaluating, implementing, and supporting Microsoft business products. A TechNet subscription delivers the knowledge of the entire Microsoft product support division directly to you every month on CD-ROM. TechNet provides fast, in-depth answers to questions about programs, network management, system implementation, database administration, drivers and patches, technology directions, and product evaluation. More than 250,000 pages of detailed, technical information help you get more done in less time. To subscribe to Microsoft TechNet in the United States and Canada, call (800) 344-2121.

The Microsoft Developer Network (MSDN) Library is the comprehensive source of programming information and toolkits for those who write programs for Microsoft Windows, Windows 95, and Microsoft Windows 2000 operating systems, and for those who use Microsoft products for development purposes. Members with an MSDN annual subscription are kept up-to-date through regular deliveries of information, a newsletter, and other information sources. To subscribe to the Microsoft Developer Network in the United States and Canada, call (800) 759-5474.

Both numbers are toll-free in the United States and Canada. Outside the United States and Canada, contact your local Microsoft subsidiary for information.


Microsoft Software Library

The Microsoft Software Library (MSL) is a collection of free, binary (nontext) files located on the Web for all Microsoft products. For example — the MSL contains device drivers, utilities, Help files, and technical articles.

The MSL is also available on Microsoft TechNet and Microsoft Developer Network CD-ROMs. Learn about Microsoft TechNet and Microsoft Developer Network CD-ROMs.


FastTips

Microsoft FastTips is an automated, toll-free service that provides quick answers to your common technical questions — 24 hours a day, 7 days a week — when you call (800) 936-4100 from a touch-tone telephone in the United States. By using the buttons on your telephone to respond to prompts, you can hear recorded answers to your technical questions, obtain a catalog of available information, and order items by fax — for example, you can order Application Notes by fax, as well as popular articles from the Microsoft Knowledge Base. Outside the United States, contact your local Microsoft subsidiary for information.


Microsoft Download Service (MSDL)

The Microsoft Download Service (MSDL) contains sample programs, device drivers, patches, software updates, and programming aids. Direct modem access to the MSDL is available 24 hours a day, 365 days a year, by dialing (425) 936-6735 in the United States or (905) 507-3022 in Canada. Outside the United States and Canada, contact your local Microsoft subsidiary for information.

Note The service supports 1200-, 2400-, 9600-, or 14,400-baud data transmission, with no parity, 8 data bits, and 1 stop bit.


Microsoft Press

Microsoft Press offers the training and support materials you need to help you get more from Microsoft Office, Microsoft Windows 95, and Microsoft Windows 2000.

Whether you're a beginning user, an advanced user, a support professional, or a software developer, Microsoft Press has what you're looking for — from quick-and-easy handbooks and self-paced training guides to desktop references, technical resources, and programming titles.

To locate your nearest source for Microsoft Press products worldwide, contact your local Microsoft subsidiary. In the United States, call (800) MSPRESS. In Canada, call (800) 667-1115.


 About Microsoft Office 2000 right-to-left features

About Microsoft Office 2000 right-to-left features

Language-specific information

Microsoft Office 2000 provides right-to-left functionality and features designed to support languages that work in a right-to-left or bidirectional environment for text entering, editing, and display.

This topic provides reference information about:

System requirements

User interface language

Keyboard languages

Bidirectionality

Cursor movement and text selection

Alignment

Selecting Arabic ligatures and diacritics

Numeral shapes

Lunar calendars

Saving in HTML format

Code pages

More information

System requirements

In order to enable the right-to-left features in Microsoft Office 2000, you must be running a 32-bit Microsoft Windows operating system that has right-to-left support — for example, the Arabic version of Microsoft Windows 95. Learn about requirements for right-to-left languages.

Note Not all of the programs in Office 2000 support each right-to-left function or feature described in this topic. For specific procedures, see Help for the program you are using.

Return to top

User interface language

The language that appears in menus, dialog boxes, and wizards is referred to as the user interface language.

Several right-to-left features in Office 2000 programs use the active user interface language to determine the screen layout direction and the alignment of text within dialog boxes.

The following examples show Arabic and English user interface languages.

Arabic user interface language

English user interface language

Return to top

Keyboard languages

The Microsoft Windows operating system uses an indicator on the taskbar to display the current keyboard language. The indicator for Arabic is Arabic keyboard indicator, and the indicator for Hebrew is Hebrew keyboard indicator. Learn about adding a language or keyboard layout or learn how to switch keyboard layouts.

Return to top

Bidirectionality

When right-to-left and left-to-right text are used together in the same sentence, paragraph, or control, the combined text is referred to as bidirectional, or mixed. Direction is a general term that describes the reading order, alignment, and overall layout of screen elements.

Return to top

Cursor movement and text selection

The appearance of the insertion point varies to indicate whether the run is left to right Insertion point indicating a left-to-right run or right to left Insertion point indicating a right-to-left run. Cursor movement and text selection is logical or visual.

Return to top

Alignment

Text in a cell or field can be left aligned, center aligned, or right aligned. In some programs, such as Microsoft Access, text can also have General alignment.

When text has General alignment, text and numbers are aligned according to the keyboard language of the first character entered — for example, text in the cell or field will be right aligned if the first character is in a right-to-left language, and left aligned if the first character is in a left-to-right language. You can override General alignment and switch to either Left, Center, or Right alignment for individual objects.

Many bidirectional programs apply context rules that govern the reading order of text and how the text is aligned according to the type of control it's in. Controls such as text boxes and combo boxes can support either plain text or rich text editing mode.

The following are the context rules for the reading order and alignment of text:

  • If the first strong character is left to right, reading order will be left to right and text will be left aligned.

  • If the first strong character is right to left, reading order will be right to left and text will be right aligned.

  • If only neutral characters are typed, the reading order and the alignment will follow the paragraph direction (can be left to right, or right to left) until the first strong character is typed.

Any time you change the first strong character from a left-to-right language to a right-to-left language, and vice versa, the reading order and the alignment change accordingly.

Return to top

Selecting ligatures and diacritics

In word-processing programs — such as Microsoft Word 2000 — you can select, find, and replace individual diacritical marks (Arabic and Hebrew) and individual Arabic characters regardless of whether they are ligated. Each ligature and diacritic is managed as a discrete unit of a right-to-left language word. How to select diacritics and ligated characters.

The following example shows an Arabic word with a three-character ligature as each character is selected.

Word with one ligature selected Word with two ligatures selected Word with three ligatures selected

Return to top

Numeral shapes

In Arabic, numerals are available in two forms: Arabic and Hindi.

Arabic numerals Numerals used in North America, Europe, and in some Arabic countries (1, 2, 3, 4, and so on).

Hindi numerals Numerals used in several Arabic countries Hindi numerals.

Note You can change the current numeral display in right-to-left programs by using the settings on the Right To Left tab of the Options command (Tools menu) or by clicking the Regional Settings icon in Control Panel.

Return to top

Lunar calendars

Hijri dates are supported in Office 2000 programs enabled with right-to-left features. (In Control Panel, double-click the Regional Settings icon, and then click the Date tab to see what date format the Microsoft Windows operating system is using.) In several programs, you can modify date fields between Hijri and Gregorian calendars. For example, in Microsoft Outlook you can display date information in either calendar or, in some items, both calendars.

Tip You can adjust the Hijri calendar by using the settings on the Date tab of the Regional Settings icon in Control Panel in Microsoft Windows 98 or later, and Microsoft Windows NT Workstation version 4.0 or Windows 2000 Professional. The Hebrew calendar, the predominant calendar used in Israel among Hebrew speakers, is fully supported in Word and Microsoft PowerPoint.

Return to top

Saving in HTML format

In Office 2000, you can save files in HTML format for posting on the Web in right-to-left or left-to-right direction. Web pages with right-to-left direction are marked with the standard HTML DIR attribute in the HTML file. If the Web browser you are using recognizes the DIR attribute, the page will be displayed with right-to-left direction. If the DIR attribute is not recognized, the page will be displayed with left-to-right direction.

Tip To view right-to-left Web pages, use a browser that recognizes the DIR attribute, such as Microsoft Internet Explorer 3.02 Middle East or above, Internet Explorer 4.01 for Complex Scripts, or Internet Explorer 5.0 or later.

Return to top

Code pages

Office 2000 programs support the following code pages available to Arabic, Hebrew, and mixed-text users:

Arabic | Hebrew
UTF-8 | UTF-8
ISO 8859-6 | ISO 8859-8
DOS-720 | DOS-862
ASMO-708 |

Tip The Character Map add-in provides a view of the numerous codes supported by Office 2000 programs. You can easily select a character from one of the right-to-left or left-to-right language font pages, copy it to the Clipboard, and then insert the character in your document. You can open Character Map from Programs\Accessories. If Character Map is not installed on your computer, you can install it by double-clicking the Add/Remove Programs icon in Control Panel, and then clicking the Window Setup tab.

Return to top

More information

Learn about creating forms and dialog boxes with bidirectional extensions in Help for Visual Basic for Applications.


Learn about language-specific information

Language-specific Help topics apply only if the language-specific feature is available. Learn about working in another language or installing the proofing tools for another language, or see your system administrator for more information.


Reconvert Japanese, Traditional Chinese, or Simplified Chinese text

Language-specific information

  1. Place the insertion point at the beginning or in the middle of the characters you want to reconvert, right-click at the beginning or in the middle of the characters, and then click Reconvert on the shortcut menu.

    A list of conversion options is displayed.

  2. Click the option you want.

Tip To reconvert multiple phrases, you must select the reconversion range manually.


Review the document by using Reconversion

This topic does not apply to Microsoft Outlook.

Language-specific information

You can correct Kanji compounds while reviewing sentences that have already been confirmed. If you find a mistake in an existing document, you can reconvert the Kanji by right-clicking the incorrect word, and then clicking Reconvert on the shortcut menu.

The steps below show how to reconvert the incorrect words in the sentence kakukai kakukai shodantai shodantai shodantai no sandou sandou o ete ete , " waapusuruu waapusuruu waapusuruu waapusuruu waapusuruu waapusuruu " toshite toshite toshite yo ni tou tou .. kakukai kakukai is reconverted to kakukai kakukai, and the Hiragana yo ni tou tou is converted to Kanji yo ni tou tou.

  1. Type the sentence kakukai kakukai shodantai shodantai shodantai no sandou sandou o ete ete , " waapusuruu waapusuruu waapusuruu waapusuruu waapusuruu waapusuruu " toshite toshite toshite yo ni tou tou . from this Help topic into your document. Place the insertion point at the beginning or in the middle of the word kakukai kakukai, right-click the word, and then click Reconvert on the shortcut menu.

    kakukai kakukai is automatically selected as the reconversion target, and a list of conversion options is displayed.

  2. Click kakukai kakukai in the list of options.

  3. Place the insertion point anywhere in yo ni, right-click the word and then click Reconvert on the shortcut menu.

    yo ni reverts to its unconfirmed state, and yo ni is displayed as the first conversion option.

  4. Press ENTER to confirm the conversion.

  5. Select tou tou and repeat steps 2 through 4 above to perform the reconversion.

Tip To reconvert phrases consisting of multiple words or compounds, you need to select the entire target range for conversion before using the Reconvert command.


Select diacritics or ligated characters

Language-specific information

  1. Click to the left of the character whose diacritic or ligation you want to select.

  2. Hold down the SHIFT key and press the RIGHT ARROW key once for each diacritic or ligation.

Tip To select more than one diacritic or ligated character, hold down the SHIFT key and press the RIGHT ARROW or LEFT ARROW key once for each diacritic or ligated character.


Use a Microsoft Input Method Editor as the default Input Method Editor

Language-specific information

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Keyboard icon.

  3. Do one of the following:

    If you are running Microsoft Windows 95 or later, click the Language tab.

    If you are running Microsoft Windows NT version 4.0 or Windows 2000, click the Input Locales tab.

  4. Do one of the following:

    If you are running Windows 95 or later, select the appropriate Microsoft Input Method Editor (IME) in the Language box.

    If you are running Windows NT 4.0 or Windows 2000, select the appropriate Microsoft IME in the Input locales box.

  5. Click Set as default, and then click OK.

  6. Depending on the IME selected, you might have to further customize the IME to use MS IME keyboard settings. Right-click on the IME toolbar, and then click Properties. If there is a template or settings list, make sure it is set to the Microsoft IME that you are planning to use.

Learn about IMEs.


 About multilingual features in Office

About multilingual features in Office

This topic provides reference information about:

What are multilingual features?

Setting up your computer to work in more than one language

Setting up your Office program to work in more than one language

More information

What are multilingual features?

Microsoft Office 2000 programs support editing and viewing of documents in more than 80 languages by taking advantage of the Unicode text encoding standard. If you work with documents that contain text in more than one language, if you work in a multinational organization, or if you share documents with people who use Office on systems that run in other languages, you or your system administrator can customize Office 2000 to handle conventions and requirements unique to each language. You can also make language-specific commands and features available within Office.

Here are a few examples of ways you can use multilingual features:

  • Automatic language detection The English (U.S.) version of Office 2000 comes with proofing tools for English, Spanish, and French. When you open a document or enter text, Microsoft Word can automatically detect the language of the text and use the appropriate spelling and grammar dictionaries, punctuation rules, and sorting conventions for that language. Also, when you copy text in one of these languages into your document, or check spelling in a document that contains text in more than one of these languages, Word and Microsoft PowerPoint can use the spelling dictionaries installed for each language. If you have the Microsoft Proofing Tools Kit, you can perform these tasks in many more languages.

  • Correct date, time, number style When you enter dates, times, and numbers, the Office programs can format them in the correct style for different languages.

  • Asian characters With a special program called a Global Input Method Editor (Global IME), you can type characters for Asian languages into a Word document or Microsoft Outlook e-mail message on an English-language system. In Word, you can then use word-breaking and text formatting conventions specific to Asian text. Learn about IMEs.

  • Text editing in right-to-left languages On a system that supports right-to-left languages (such as Arabic), you can edit text in those languages; the Office programs display and format them correctly.

  • Dual font support In Microsoft Access, data that consists of both English-language characters and Asian-language characters can be displayed in datasheets, forms, and reports.

  • Databases and lists You can create multilingual databases and lists in Microsoft Excel and Access. You can also sort and create reports and PivotTable reports that contain information in more than 80 languages.

  • Web pages You can create multilingual Web pages and intranet content in any of the Office programs.

Return to top

Setting up your computer to work in more than one language

Some languages require additional system support for entering characters. For example, to enter ideographic characters for Asian languages, you must install a Global IME, run an Asian version of Microsoft Windows 95, Windows 98, or Microsoft Windows NT version 4.0, or run Windows 2000. Learn about requirements for entering language-specific characters.

For some non-Asian languages, you might also need to install the correct keyboard layout so that you can enter characters particular to that language. For example, install the Greek keyboard so that you can enter characters such as Sigma and Zeta. After you change your keyboard layout, the characters that appear on your screen might no longer correspond to the characters printed on your keyboard. A keyboard layout program that comes with the Microsoft Office 2000 Proofing Tools and the Microsoft Office 2000 MultiLanguage Pack shows you the keyboard layouts for different languages. You can also download the keyboard layout program from the Microsoft Office Update Web site.

Although Office 2000 installs many of the files you need, especially on Windows 2000, in some versions of Windows you might need to install system support for multiple languages.

Return to top

Setting up your Office program to work in more than one language

Enable languages for editing After your system is set up to support the languages you use, you must make those languages available for editing Office documents. (Different languages aren't made available automatically in order to avoid adding menu commands that you won't use, and to optimize the programs to use only the languages you need.) When you enable editing for certain languages, special features for working in those languages are available in Office programs. For example, if you install the English (U.S.) version of Office and you enable editing for Japanese, commands for formatting Japanese text appear on the Format menu in Word, PowerPoint, and Excel.

Change language settings for text in a document As you work in Word and PowerPoint, you can set the language of the text so that the correct proofing tools are used, and you can add language-specific words to a custom dictionary. In Word, you can fine-tune the ways the program handles text in different languages. For example, you can turn automatic language detection on or off, sort lists and tables according to the rules of the language you choose, and summarize documents in the language you choose.

Change the user interface and Help languages You can obtain the Microsoft Office 2000 MultiLanguage Pack, which allows you to change the language of the user interface and Help.

Return to top

More information

Unicode support in Microsoft Office

Return to top


Install multilanguage support in Windows 95 or Windows 98

This procedure applies only if you are running a language version of Windows 95 or Windows 98 that doesn't match the language you want to type. Use this procedure when you want to be able to enter characters for Baltic, Central European, Cyrillic, Greek, and Turkish languages in Microsoft Office 2000 programs.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Add/Remove Programs icon.

  3. Click the Windows Setup tab.

  4. In the Components list, click Multilanguage Support, and then click Details.

  5. Select the check boxes next to the languages you want to use.

Note Installing multilanguage support in Windows 95 will disable the euro currency patch if it has been installed. Install the patch again to restore euro currency support.


Install multilanguage support in Windows 2000

This procedure applies only if you are running a language version of Windows 2000 that doesn't match the language you want to type. Use this procedure when you want to enter characters for Baltic, Central European, Cyrillic, Greek, Turkish, and Asian languages, or right-to-left languages (Arabic, Hebrew, Farsi, and Urdu) in Microsoft Office 2000 programs.

If you are unable to install multilanguage support, see your system administrator.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Regional Settings icon.

  3. On the General tab, click the language you want in the Available list, and then click Add.

  4. Repeat step 3 for each language you want.


Install system support for multiple languages

System support for multiple languages in Windows NT 4.0 is automatically installed.

What do you want to do?

Install multilanguage support in Windows 2000

Install multilanguage support in Windows 95 or Windows 98


Install keyboard layouts

  1. On the Windows Start menu, point to Settings, and then click Control Panel.

  2. Double-click the Keyboard icon.

  3. Do one of the following:

    If you are running Microsoft Windows 95 or later, click the Language tab.

    If you are running Microsoft Windows NT version 4.0 or Windows 2000, click the Input Locales tab.

  4. Click Add.

  5. Do one of the following:

    If you are running Windows 95 or later, click the language you want in the Language list, and then click OK.

    If you are running Windows NT 4.0 or Windows 2000, click the language you want in the Input locale list, and then click OK.

  6. If you want to be able to switch keyboard layouts by using the Windows taskbar, make sure the Enable indicator on taskbar check box is selected.


 Switch keyboard layouts

Switch keyboard layouts

  1. Install the keyboard layout you want.

  2. On the Windows taskbar, click the keyboard layout indicator [image] at the lower-right of the screen, and then click the layout you want.

Tips

  • You can also use shortcut keys to switch between keyboard layouts while you type. You can press LEFT ALT+SHIFT to rotate through all the installed keyboard layouts, or you can specify shortcut keys when you install the keyboard layout by using the Keyboard icon in Control Panel (Windows Start menu, Settings submenu). If you are running Microsoft Windows 95 or later, select one of the Switch languages options on the Language tab to set the shortcut keys. If you are running Microsoft Windows NT version 4.0, select one of the options under Switch locales on the Input Locales tab. If you are running Windows 2000, select options under Hot keys for input locales on the Input Locales tab.

  • In Microsoft Word, you can switch keyboard layouts by clicking the arrow next to the Keyboard Language button [image] on the Formatting toolbar, and then clicking the language you want. If the Keyboard Language button does not appear on the Formatting toolbar, you can add the button by clicking Customize on the Tools menu, and then clicking the Commands tab. In the Categories list, click Format. Drag Keyboard Language from the Commands list to the location you want on the Formatting toolbar.


About the global interface and the Microsoft Office 2000 MultiLanguage Pack

This topic provides reference information about:

Global interface

Microsoft Office 2000 MultiLanguage Pack

More information

Global interface

If your corporation has provided you with the Microsoft Office 2000 MultiLanguage Pack, you can switch the language of the user interface and Help in Microsoft Office programs. For example, your multinational corporation might have standardized on an English user interface to simplify internal training and troubleshooting. But if you prefer to read Help in your native language of German, you can specify that Office programs display Help in German.

Changing the language of the user interface does not change the file format of Office files you save or change the program in any other way. You don't need a converter to open the files.

When you change the language of the user interface or Help, you change it for all Office programs. Some components of Office do not support switching the language of the user interface or Help. For more information, see the Microsoft Office 2000 Resource Kit. Learn about obtaining the Office Resource Kit.

Return to top

Microsoft Office 2000 MultiLanguage Pack

The MultiLanguage Pack provides the translated text for the user interface and Help for all of the Office programs. (The MultiLanguage Pack also includes the Microsoft Office 2000 Proofing Tools.)

The MultiLanguage Pack works with Office 2000 running on Windows 95 or later or Windows NT version 4.0. Windows 2000 provides the most support for the most languages, and it is recommended for extensive multilingual use.

The MultiLanguage Pack is on its own CD and has its own installer. To obtain the MultiLanguage Pack, see your system administrator.

For more information about working with the MultiLanguage Pack, see the Microsoft Office 2000 Resource Kit. Learn about obtaining the Office Resource Kit.

Return to top

More information

About multilingual features in Office

Change the language for the user interface of Office programs

Change the language for Help in Office programs

Return to top


About the Microsoft Office 2000 Proofing Tools

The English version of Microsoft Office 2000 comes with proofing tools for English, Spanish, and French. To check spelling in other languages, use the Microsoft Office 2000 Proofing Tools. These Proofing Tools provide the fonts, localized templates, and spelling and grammar checkers you need to create and edit documents in different languages when using Office programs. Other items you'll find in the Proofing Tools are AutoCorrect lists, AutoSummarize rules (Microsoft Word only), and — for Asian languages — Input Method Editors (IMEs).

The Proofing Tools can be obtained from a licensed reseller (CD assy: X03-80950; SKU: 053-00200).


Change the language for Help in Office programs

  1. Obtain the Microsoft Office 2000 MultiLanguage Pack and install it.

  2. On the Windows Start menu, point to Programs, point to Office Tools, and then click Microsoft Office Language Settings.

  3. On the User Interface tab, click the language you want in the Display Help in list.

Notes

  • If you change the language for Help, but don't change the language of the user interface to match, the terms for menus and dialog boxes used in Help won't match the ones you see in the user interface. For tables of translated menus and commands, see the Microsoft Office 2000 Resource Kit. Learn about obtaining the Office Resource Kit.

  • Some components of Office don't support switching the language of the user interface or Help. For more information, see the Microsoft Office 2000 Resource Kit.


Change the language for the user interface of Office programs

  1. Obtain the Microsoft Office 2000 MultiLanguage Pack and install it.

  2. On the Windows Start menu, point to Programs, point to Office Tools, and then click Microsoft Office Language Settings.

  3. On the User Interface tab, click the language you want in the Display menus and dialog boxes in list.

Notes

  • If you change the language of the user interface, but don't change the language for Help to match, the terms for menus and dialog boxes used in Help won't match the ones you see in the program. For tables of translated menus and commands, see the Microsoft Office 2000 Resource Kit. Learn about obtaining the Office Resource Kit.

  • Some components of Office do not support switching the language of the user interface or Help. For more information, see the Microsoft Office 2000 Resource Kit.


Enable editing of multiple languages in Office programs

  1. On the Windows Start menu, point to Programs, point to Office Tools, and then click Microsoft Office Language Settings.

  2. On the Enabled Languages tab, select the check boxes next to the languages you want.

Notes

  • In Microsoft Word, when you have enabled editing for a specific language and installed the Microsoft Office 2000 Proofing Tools, Word will be able to automatically detect that language in documents and apply the correct proofing tools. For a list of the languages that Word can automatically detect, see Word Help.

  • Some languages — for example, Asian, right-to-left, and Central European languages — have system requirements that must be met before you can type characters for those languages in Office programs. For most other languages, you can install the correct keyboard layout to type characters for that language.


About Input Method Editors (IMEs)

An Input Method Editor (IME) is a program that allows you to enter Asian text in programs; it converts your keystrokes into Asian characters. Often the only visual indication that an IME is installed on a computer is a floating toolbar for controlling the conversions, and an indicator on the Windows taskbar. Different Asian languages require different IMEs — for example, to enter Japanese text, use the Japanese IME.

Asian versions of Microsoft Windows and Microsoft Windows 2000 include one or more IMEs. All versions of Windows 2000 include an IME for each Asian language. IMEs cannot be installed or upgraded on a system that doesn't already support IMEs in the same language that you are installing. To enter Asian text on a system that doesn't match the language you want to type, or on a system that doesn't already have an IME for the language you need, use a Global Input Method Editor (Global IME). Global IMEs can be installed anywhere, but are not supported by all programs, and their conversion capabilities might not be as advanced as standard IMEs. Don't install a Global IME if your operating system language is the same as the language you want to type.

IMEs and Global IMEs come with the Microsoft Office 2000 Proofing Tools and the Microsoft Office 2000 MultiLanguage Pack.


Languages supported by the Answer Wizard

The following languages have Answer Wizard support; that is, you can find Help topics by asking questions in your own words either via the Office Assistant or on the Answer Wizard tab in Help.

  • Arabic

  • Chinese (Simplified)

  • Chinese (Traditional)

  • Czech

  • Danish

  • Dutch

  • English

  • Finnish

  • French

  • German

  • Italian

  • Japanese

  • Korean

  • Norwegian

  • Polish

  • Portuguese (Brazil)

  • Portuguese (Portugal)

  • Russian

  • Spanish

  • Swedish

  • Thai


Locale identification numbers for language-specific files

Files associated with a particular language — for example, translated Help files and certain Microsoft Office components — are usually stored together in a numbered folder in Program Files\Microsoft Office\Office. The number is called the locale ID (LCID). The following table lists the languages supported by Office and their corresponding LCIDs. Languages marked with an asterisk are available only in the Thai, Vietnamese, and Indian versions of Office 2000.

Language | LCID
Afrikaans | 1078
Albanian | 1052
Arabic | 1025
Armenian * | 1067
Assamese * | 1101
Azeri (Cyrillic) | 2092
Azeri (Latin) | 1068
Basque | 1069
Belarusian | 1059
Bengali * | 1093
Bulgarian | 1026
Catalan | 1027
Chinese (Simplified) | 2052
Chinese (Traditional) | 1028
Croatian | 1050
Czech | 1029
Danish | 1030
Dutch | 1043
English (Australian) | 3081
English (Canadian) | 4105
English (U.K.) | 2057
English (U.S.) | 1033
Estonian | 1061
Faeroese | 1080
Farsi | 1065
Finnish | 1035
French | 1036
French (Canadian) | 3084
Frisian | 1122
Georgian * | 1079
German | 1031
German (Austrian) | 3079
German (Swiss) | 2055
Greek | 1032
Gujarati * | 1095
Hebrew | 1037
Hindi * | 1081
Hungarian | 1038
Icelandic | 1039
Indonesian | 1057
Italian | 1040
Japanese | 1041
Kannada * | 1099
Kashmiri * | 1120
Kazakh | 1087
Konkani * | 1111
Korean | 1042
Latvian | 1062
Lithuanian | 1063
Lithuanian (Classic) | 2087
Macedonian | 1071
Malay | 1086
Malayalam * | 1100
Manipuri * | 1112
Marathi * | 1102
Nepali * | 1121
Norwegian Bokmal | 1044
Norwegian Nynorsk | 2068
Oriya * | 1096
Polish | 1045
Portuguese (Brazil) | 1046
Portuguese (Portugal) | 2070
Punjabi * | 1094
Romanian | 1048
Russian | 1049
Sanskrit * | 1103
Serbian (Cyrillic) | 3098
Serbian (Latin) | 2074
Sindhi * | 1113
Slovak | 1051
Slovenian | 1060
Spanish | 3082
Swahili | 1089
Swedish | 1053
Tamil * | 1097
Tatar | 1092
Telugu * | 1098
Thai * | 1054
Turkish | 1055
Ukrainian | 1058
Urdu | 1056
Uzbek (Cyrillic) | 2115
Uzbek (Latin) | 1091
Vietnamese * | 1066


Requirements for Asian, right-to-left, and other types of languages

Asian languages (Simplified Chinese, Traditional Chinese, Japanese, and Korean)

To enter ideographic characters for these languages, use one of the following operating systems:

  • Any language version of Microsoft Windows 2000

    If you are running a language version of Windows 2000 that doesn't match the language that you want to type, you must first install support for the language, and then install the Input Method Editor (IME) for the language. Learn about IMEs.

  • Any language version of Microsoft Windows 95, Windows 98, or Windows NT version 4.0

    If the language version of your operating system is the same as the language you want to type, IMEs are included with these systems. The Microsoft Office 2000 Proofing Tools includes updated IMEs for these systems.

    If the language version of your operating system doesn't match the language you want to type, install a Global Input Method Editor (Global IME). Global IMEs allow you to enter Asian text in Microsoft Word, in Microsoft Outlook e-mail messages, and in Microsoft Internet Explorer. Other Office programs require an Asian operating system or Windows 2000 to allow you to enter Asian text. Learn about IMEs.

Baltic, Central European, Cyrillic, Greek, and Turkish languages

To enter characters for these languages, use one of the following operating systems:

  • The corresponding language version of Windows 95, Windows 98, or Windows NT 4.0 or Windows 2000

    If you are running a language version of an operating system that doesn't match the language you want to type, install system support for that language.

Right-to-left languages (Arabic, Hebrew, Farsi, and Urdu)

To enter characters for these languages, use one of the following operating systems:

  • The corresponding language version of Windows 95, Windows 98, or Windows NT 4.0

  • Any language version of Windows 2000

    If you are running a language version of Windows 2000 that doesn't match the language you want to type, install system support for that language.


 Unicode support in Microsoft Office

Unicode support in Microsoft Office

Microsoft Office is based on the Unicode text encoding standard, which allows Office programs to display documents correctly, no matter what language they are written in, provided the operating system supports the characters specific to that language.

Fonts provided with Office 2000

Many of the TrueType fonts provided with Office support a wide variety of languages that use different writing systems, such as Greek or Russian, rather than just the languages of Western Europe; a few fonts for Asian languages are provided as well. The font Arial Unicode MS provided with Office is a full Unicode font, containing all of the approximately 40,000 alphabetical characters, ideographic characters, and symbols defined in the Unicode 2.1 standard. Because of its considerable size and the typographic compromises required to make such a font, Arial Unicode MS should be used only when you can't use multiple fonts tuned for different writing systems. For example, if you have multilingual data in Microsoft Access from many different writing systems, you can use Arial Unicode MS as the font to display the data tables with, because these can't accept many different fonts. If you didn't install the Arial Unicode MS font when you installed Office 2000 or your Office program, just reinstall Office and choose Add or Remove Features. Click the plus sign (+) next to Office Tools, click the plus sign next to International Support, click the icon next to Universal Font, and then choose the installation option you want. Reinstall Office.

More information

About multilingual features in Office

Enable editing of multiple languages in Office programs


Troubleshoot multilingual editing and the global interface

What do you need help with?

Multilingual editing and the global interface

I can't find the commands for the language I want to work with.

Commands or fonts for languages I don't use are in my way.

I can't change the language of the user interface or Help.

I changed the language of the user interface or Help, but some components didn't change.

I changed the language of Help, and now I can't use the Office Assistant or Answer Wizard.

I changed the user interface language, Help language, or keyboard layout, and now my shortcut keys don't work.

Displaying and entering language-specific characters

I can't enter characters for a certain language.

My Office document displays some text as boxes.


Commands or fonts for languages I don't use are in my way.

To remove commands and controls for languages you don't use Turn off editing for those languages. On the Windows Start menu, point to Programs, point to Office Tools, and then click Microsoft Office Language Settings. On the Enabled Languages tab, clear the check boxes for the languages you don't want.

To remove fonts you don't use On the Windows Start menu, point to Settings, and then click Control Panel. Double-click the Fonts icon, and then delete the fonts you don't want.


I can't enter characters for a certain language.

I want to enter characters for Asian, right-to-left, or Central European languages Some languages have system requirements that must be met before you can type characters specific to those languages in Microsoft Office programs. For example, to enter ideographic characters for Asian languages, you must install a special program called an Input Method Editor (IME), run an Asian version of Microsoft Windows 95 or Windows 98, or run Microsoft Windows 2000. Learn about system requirements for entering language-specific characters.

I want to enter special characters for a language that uses the Latin alphabet For most other languages, you can install the correct keyboard layout to type characters specific to that language.

I want to enter characters for Asian languages Characters you type might not appear, might have no width, or might appear to be very tall if you have installed several Asian fonts. Also, the font name might not appear in the Font box. This occurs if you run a non-Asian version of Windows NT version 4.0 and have more than approximately 45 megabytes (MB) of fonts installed. To display the characters and font names correctly, install only the minimum number of Asian fonts you need. For example, if you type in Japanese, install only one or two Japanese fonts and remove the others.


I can't find the commands for the language I want to work with.

The commands and controls don't appear if you don't have editing enabled for the language that the commands and controls apply to. You need to enable editing for the language you want to work with.


I can't change the language of the user interface or Help.

There is no User Interface tab in the Microsoft Office Language Settings dialog box You must install the Microsoft Office 2000 MultiLanguage Pack to view the User Interface tab. The MultiLanguage Pack is on its own CD and has its own installer. To obtain the MultiLanguage Pack, see your system administrator.

The language I want isn't listed on the User Interface tab in the Microsoft Office Language Settings dialog box Your system administrator might have chosen not to allow installation of particular languages, or you might need an updated version of the MultiLanguage Pack — one that provides the global interface and translated Help in the language you want. For information about why a particular language isn't available or about how to obtain the MultiLanguage Pack, see your system administrator.


My Office document displays some text as boxes.

Editing might not be enabled for the language If you see boxes instead of the correct characters in your document, presentation, spreadsheet, or form, you either don't have editing for that language enabled, or you don't have a font that supports that language. You need to enable editing for the language to display the characters. Enabling editing for the language will also install the proper font for displaying the characters on your system.

You might have used a font that doesn't support that language If there are still boxes in your Office document after enabling editing for the language, try to format the text with a different font to make the characters appear correctly. Arial, Times New Roman, and a few other fonts have support for all European languages. Microsoft Office 2000 comes with several fonts for Asian text:

  • MS Mincho (Japanese)

  • PMingLiu (Traditional Chinese)

  • Simsun (Simplified Chinese)

  • Batang (Korean)


I changed the language of the user interface or Help, but some components didn't change.

Some components of Microsoft Office don't support switching the language of the user interface or Help. For example, certain Microsoft Excel add-ins and Microsoft Access sample database programs are available only in the language of Office that you installed. Other components or Office programs aren't available in all languages. Finally, some languages of the user interface aren't supported by some components on some language versions of Microsoft Windows. For example, Microsoft Outlook supports the Greek user interface only when running on a Greek version of Windows. If Outlook is running on a non-Greek version of Windows and you select Greek as the Office user interface language, the user interface either changes to English or remains in the language of Office that you installed.

For more information about support for the global interface and switching the language of Help, see the Microsoft Office 2000 Resource Kit. Learn about obtaining the Office Resource Kit.


I changed the language of Help, and now I can't use the Office Assistant or Answer Wizard.

Some languages don't have Answer Wizard support. Learn which languages are supported by the Answer Wizard.

If you are running Microsoft Windows 95, Windows 98, or Windows NT Workstation version 4.0, and you want to change the language of Help to a language that the Answer Wizard doesn't support, you'll get the best results if the operating system supports the language you want to switch to. In this case, you can find Help topics by clicking the Index tab in Help. Learn about getting help without using the Office Assistant.


I changed the user interface language, Help language, or keyboard layout, and now my shortcut keys don't work. don't work.

I changed the user interface language, Help language, or keyboard layout, and now my shortcut keys don't work.

I changed the user interface language, and now I can't access menus or commands with the keyboard If you change the language of the user interface, the underlined letters for accessing menus, commands, and dialog box settings might also change. In rarer cases, the shortcut keys (for example, CTRL+G for Go To on the Edit menu, or CTRL+B to apply bold formatting) might also change. Look carefully at the menus and commands for the underlined letters and shortcut keys.

In cases where the shortcut key is not shown on a menu — for example, many of the CTRL key combinations for applying character formatting — install the language of Help that corresponds to the user interface language, and then ask the Office Assistant for a list of topics about keyboard shortcuts to find out what the shortcut keys are for that language.

I changed the language of Help, and now none of my shortcut keys work When you set the language of Help, the language for the user interface is not changed automatically to match. Shortcut keys mentioned in Help topics refer to the shortcut keys for the corresponding user interface language. If the two languages don't match, instructions for shortcut keys used in Help might not match the ones you see in the user interface. How to change the language for Help in Microsoft Office programs.

I changed the keyboard layout, and now my shortcut keys don't work Changing the keyboard layout can also change shortcut keys. After you change your keyboard layout, the characters on your screen might no longer correspond to the characters printed on your keyboard. For example, you press different keys on the English (U.S.) and French keyboards to use the shortcut CTRL+Z for the Undo command. However, on a Greek keyboard, there is no "Z" character, so you must press the key that corresponds to a "Z" on the English (U.S.) keyboard to use the same shortcut. How to change the keyboard layout.


 Microsoft Office Shortcut Bar

Microsoft Office Shortcut Bar

The Microsoft Office Shortcut Bar provides single-click access to the resources you need most often. You can quickly start a new budget proposal, locate and open a slide presentation, send an e-mail message, schedule an appointment, add a task to a task list, or create a note, contact, or journal entry in Microsoft Outlook.

You can drag the Shortcut Bar to any location on screen, or you can put it out of sight until you need it by clicking Auto Hide on the Office Shortcut Bar menu [image].

To quickly start any type of document from the Microsoft Office Shortcut Bar, for example, an Office Binder or a Microsoft Excel worksheet, click New Office Document [image] . Click the tab that contains the type of document you want to create, and then double-click the document or template you want. The program you need starts automatically.

Use the Microsoft Office Shortcut Bar to search for and open documents without starting a program first. Click Open Office Document [image] , locate the document, and then double-click it.

The first time you use the Microsoft Office Shortcut Bar, it displays only the Office toolbar. Additional shortcut buttons and toolbars are available but hidden. To show hidden buttons or toolbars, right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu. For example, show the Desktop toolbar on the Office Shortcut Bar so that you can easily access documents and programs on the Windows desktop even if you can't see the desktop. To display a different toolbar on the Office Shortcut Bar, click the icon that represents the toolbar. To display the name for a button or toolbar on the Office Shortcut Bar, rest the mouse pointer over the button or toolbar until the name appears.

You can also add your own toolbars and buttons. To add your frequently used documents and programs as toolbar buttons, drag them onto the Office Shortcut Bar.


 Start a new file from the Office Shortcut Bar

Start a new file from the Office Shortcut Bar

  1. On the Office toolbar, click New Office Document [image] .

  2. Click the tab for the type of document you want to create.

  3. Double-click the template or wizard you want to base your document on.


 Open a file from the Office Shortcut Bar

Open a file from the Office Shortcut Bar

  1. On the Office toolbar, click Open Office Document [image] .

  2. Locate the document you want to open, and then double-click the name of the document.


Open a different toolbar on the Office Shortcut Bar

  • If the toolbar you want is not visible, right-click the background of any toolbar on the Office Shortcut Bar, and then click the name of the toolbar on the shortcut menu to display it.

  • If the toolbar you want is visible but not active, click the icon with the toolbar name to display it.


 Manage time, contacts, tasks, and e-mail from the Office Shortcut Bar

Manage time, contacts, tasks, and e-mail from the Office Shortcut Bar

If you use Microsoft Outlook, the Office Shortcut Bar provides six, single-click shortcuts to the most often used features in Microsoft Outlook.

To | Click
Create a note | New Note
Send a mail message | New Message
Add a new appointment to your Calendar | New Appointment
Add a new task to your task list | New Task
Create a contact | New Contact
Manually record an activity in the Journal | New Journal Entry


 Hide the Office Shortcut Bar

Hide the Office Shortcut Bar

  • Click the Office Shortcut Bar button [image], and then click Auto Hide.

Notes

  • To use the Office Shortcut Bar when it's hidden, point to the edge of the screen where the Office Shortcut Bar is docked, and it will reappear temporarily.

  • The Auto Hide command on the Office Shortcut Bar menu [image] and the Auto Hide between uses check box on the Customize dialog box (Office Shortcut Bar menu [image] ) have no effect when the Office Shortcut Bar is minimized or floating, or when the Auto fit into title bar area check box is selected and the Office Shortcut Bar is docked at the top of the screen.


Close the Office Shortcut Bar

  1. Click the Office Shortcut Bar button [image].

  2. Click Exit.

Tip To quickly close the Office Shortcut Bar, double-click the Office Shortcut Bar button [image].


Change the appearance of the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. On the View tab, select the options you want.

Note The Change Color button affects only the toolbar that appears in the Toolbar box.


Change the default location for Office templates

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize.

  2. Click the Settings tab.

  3. To change the location where Office programs look for your templates, click User templates location, and then click Modify.

    To add an additional location where Office programs look for your templates, click Workgroup templates location, and then click Modify.

  4. In the Folder name box, enter the new location.


 Move the Office Shortcut Bar

Move the Office Shortcut Bar

  1. If the Office Shortcut Bar is minimized, click the Office Shortcut Bar button on the Windows taskbar.

  2. Drag the title bar or the background of any toolbar on the Office Shortcut Bar where you want it, either docked to one edge of your screen or floating on the desktop.

Note When you dock the Office Shortcut Bar along an edge of your screen, your desktop is adjusted so the Office Shortcut Bar doesn't cover anything.


Add or remove a toolbar on the Office Shortcut Bar

When you remove a toolbar from the Office Shortcut Bar, it is deleted from the Toolbar box in the Customize dialog box (Office Shortcut Bar menu [image] ), but all the folders, files, and shortcuts within the toolbar folder are not deleted from your hard disk. If you think you'll need the toolbar again, hide it rather than remove it.

When you hide a toolbar, the toolbar doesn't appear on the Office Shortcut Bar, but it still appears in the Toolbar box, so you can display the hidden toolbar again when you want to use it.

What do you want to do?

Add a toolbar to the Office Shortcut Bar

Remove a toolbar from the Office Shortcut Bar

Show or hide a toolbar on the Office Shortcut Bar


Show or hide a toolbar on the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar.

  2. On the shortcut menu, click the name of the toolbar you want to show or hide.

    When the toolbar name has a check mark next to it, the toolbar is visible on the Office Shortcut Bar. When the toolbar name has no check mark next to it, the toolbar is hidden.


Rename a toolbar on the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. Click the Toolbars tab.

  3. Click the toolbar you want to rename, and then click Rename.

  4. In the New Name box, type the new name for the toolbar.

Note When you rename a toolbar on the Office Shortcut Bar, the toolbar folder is also renamed.


Add a toolbar button to the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. Click the Buttons tab.

  3. In the Toolbar box, click the name of the toolbar you want to add a button to.

  4. In the Show these files as buttons box, click the button or space you want to add the new toolbar button in front of.

    If the check box next to a button isn't selected, that button is not shown on the current toolbar.

  5. To add a button for a file, click Add File.

    To add a button for a folder, click Add Folder.

Tip To quickly add a toolbar button, drag the file or folder from My Computer or Windows Explorer onto the toolbar on the Office Shortcut Bar.


Delete a toolbar button from the Office Shortcut Bar

If you delete a toolbar button from a toolbar that was created from an existing folder, the file or folder the button refers to is also deleted. If you think you'll need the toolbar button or the folder, file, or shortcut it refers to again, hide it rather than remove it.

How?

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. Click the Buttons tab.

  3. In the Toolbar box, click the name of the toolbar that contains the button you want to delete.

  4. In the Show these files as buttons box, click the button you want to delete, and then click Delete.


Move a toolbar button on the Office Shortcut Bar

  • Hold down ALT and drag the toolbar button to a new location on the same toolbar or on a different toolbar.


Rename a toolbar button on the Office Shortcut Bar

  1. Right-click the toolbar button that you want to rename, and then click Rename on the shortcut menu.

  2. In the New Name box, type the new name for the toolbar button.

Note When you rename a toolbar button on the Office Shortcut Bar, the file, folder, or shortcut the button refers to is also renamed.


Show or hide a toolbar button on the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. Click the Buttons tab.

  3. In the Toolbar box, click the name of the toolbar that contains the button you want to show or hide.

  4. To show a toolbar button, select the check box next to the button you want in the Show these files as buttons box.

    To hide a toolbar button, clear the check box next to the button you want in the Show these files as buttons box.

Tip To quickly hide a toolbar button, right-click the toolbar button on the Office Shortcut Bar, and then click Hide Button on the shortcut menu.


I deleted a toolbar button, and now the file that the button opened is gone.

If you delete a toolbar button from a toolbar that was created from an existing folder, the file or folder the button refers to is deleted immediately.


Add a toolbar to the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. Click the Toolbars tab.

  3. Click Add Toolbar.

  4. To create a toolbar for an existing folder, click Make toolbar for this folder, and then type the path to the folder. To locate the folder, click Browse.

    To create a new, blank toolbar, click Create a new, blank toolbar called, and then type a name for the new toolbar.

  5. Add the toolbar buttons you want to the new toolbar.

    How?

  6. Show or hide the toolbar buttons you want on the new toolbar.

    How?


Remove a toolbar from the Office Shortcut Bar

  1. Right-click the background of any toolbar on the Office Shortcut Bar, and then click Customize on the shortcut menu.

  2. Click the Toolbars tab.

  3. In the Show these folders as toolbars box, click the name of the toolbar you want to remove.

  4. Click Remove.